<template>
  <div>
    <van-tabs color="#EB4E3F" title-active-color="#EB4E3F" title-inactive-color="#666666">
      <van-tab title="我的预约">
        <today-order></today-order>
      </van-tab>
      <van-tab title="历史预约">
        <histroy-order></histroy-order>
      </van-tab>
    </van-tabs>
    <van-button class="button" block @click="jump">新增预约</van-button>
  </div>
</template>

<script>
import Vue from "vue";
import { Tab, Tabs, Button } from "vant";
import TodayOrder from "./components/todayOrder";
import HistroyOrder from "./components/histroyOrder";

Vue.use(Tab).use(Tabs).use(Button);

export default {
  components: {
    TodayOrder,
    HistroyOrder,
  },
  data() {
    return {
      userInfo: null,
    };
  },
  methods: {
    jump() {
      this.$router.push({ name: "GovServiceOrder" });
    },
  },
  created() {},
};
</script>

<style lang="stylus" scoped>
.button {
  width 100%
  height 90px;
  background: #EB4E3F;
  font-size: 36px;
  font-weight: 500;
  color: #FFFFFF;
}
</style>
